<?php
//no esta siendo llamado
    $tabla="resultados";
    $where ="";
  

    $Laboratorio= isset($_REQUEST['Laboratorio']) ? $_REQUEST['Laboratorio'] : '';
    $Establecimiento= isset($_REQUEST['Establecimiento']) ? $_REQUEST['Establecimiento'] : '';
    $Sustancias= isset($_REQUEST['Sustancias']) ? $_REQUEST['Sustancias'] : '';

    $CA= isset($_REQUEST['CA']) ? $_REQUEST['CA'] : '';

    
    
    $res_id= isset($_REQUEST['res_id']) ? $_REQUEST['res_id'] : '';

//relacionado con el exceso
    $Eventos= isset($_REQUEST['Eventos']) ? $_REQUEST['Eventos'] : '';
    $Responsables= isset($_REQUEST['Responsables']) ? $_REQUEST['Responsables'] : '';
    $Planes= isset($_REQUEST['Planes']) ? $_REQUEST['Planes'] : '';
    $cudap= isset($_REQUEST['cudap']) ? $_REQUEST['cudap'] : '';
    $exceso= isset($_REQUEST['exceso']) ? $_REQUEST['exceso'] : '';
    $caja= isset($_REQUEST['caja']) ? $_REQUEST['caja'] : '';
    $ano= isset($_REQUEST['ano']) ? $_REQUEST['ano'] : '';
    $renspa= isset($_REQUEST['renspa']) ? $_REQUEST['renspa'] : '';
    
    if ($Laboratorio <>'') {$where .= " and dil_laboratorio_id in ($Laboratorio) "; }
    if ($Establecimiento <>'') {$where .= " and dab_ltoma_id in ($Establecimiento) "; }
    if ($Planes<>'') {$where .= " and 	dil_plan_id in ($Planes) "; }
    
    
    
    if ($Eventos<>'') {$where .= " and r.id in ( select distinct resultado_id from eventos_programados_rojo where fcumplimiento = 0 and tipo_tramite_id in($Eventos)) "; }
   

 if ($Responsables<>'') {$where .= "and  r.id in ( select distinct resultado_id from eventos_programados_rojo where evtResponsable_id in ($Responsables)) "; }

 if ($Sustancias<>'') {$where .= "and  r.id in ( select distinct resultado_id from resultados_renglones_rojo  where sustancia_id in ($Sustancias)) "; }
    
 if ($CA<>'') {$where .= "and  r.id in ( select distinct resultado_id from resultados_renglones_rojo  where sustancia_id in (select sustancia_id from relacion_sustancia_conjunto rcs,conjuntos_analiticos ca where ca.id=rcs.conjunto_id and ca.id in ($CA) )) "; }
    if ($exceso<>'') {$where .= " and cov_exceso_id = $exceso "; }

    if ($cudap<>'') {$where .= " and cov_cudap like '$cudap' "; }
    if ($caja<>'') {$where .= " and cov_caja like '$caja' "; }    
    if ($ano<>'') {$where .= " and cov_ano like '$ano' "; }
    if ($renspa<>'') {$where .= " and dac_renspa like '$renspa' "; }
    
    
    if ($res_id<>'') {$where .= " and r.id = $res_id "; }
    
    $page = isset($_POST['page']) ? intval($_POST['page']) : 1;
    $rows = isset($_POST['rows']) ? intval($_POST['rows']) : 10;
    $offset = ($page-1)*$rows;
    $result = array();
    
    include '../rdb/conn.php';


$sql="select count(*)
from 
	resultados_renglones_rojo r,
	sustancias s,
	resultados_rojo rr 
 where r.sustancia_id=s.id and 
 rr.id=r.resultado_id and 
 r.expresion='SI'";


        $sql.= $where ;
    
    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    
    if ($result["total"] === 0) {exit;}  
    
	$sql="select 
	sustancia_id,
	s.nombre,  
	(select nombre from centros_regionales where id=daad_centro_regional_id) CR ,  
	(select nombre from productos where id=dil_producto_id) producto ,  
	(select nombre from matrices where id=dil_matriz_id) matriz , 
	(select codigo from laboratorios where id= dil_laboratorio_id) laboratorio ,
	valor,
	limite 
	from 
		resultados_renglones_rojo r,
		sustancias s,
		resultados_rojo rr 
	 where r.sustancia_id=s.id and 
	 rr.id=r.resultado_id and 
	 r.expresion='SI' ";
	$sql.=  $where;
	$sql.= " order by sustancia_id ";	
	$rs = mysqli_query( $conn,$sql);
	    
    $items = array();
    while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
    }
    $result["rows"] = $items;
    $result["sql"] = $sql;


    echo json_encode($result);
    
    $visitante ="Acceso desde IP: " .$_SERVER['REMOTE_ADDR'] ;
    $fecha= date("Y-m-d H:i:s");
    $accion=$sql ;

    $sql  = "INSERT INTO visitas ( fecha, visitante, accion, limite_id, valores) VALUES ";
    $sql .= " ('$fecha','$visitante','$accion','--','--')";
    @mysqli_query( $conn,$sql);    
    
?>